package cadastro;
import entidades.Cliente;
import entidades.ClienteDAO;
import java.io.IOException;
import java.util.ArrayList;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
public class ClienteProcess extends HttpServlet {
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        try {
            // Verificar se usuário existe na sessão
            if ( logon.WLogon.verifica(request,response,"/index.jsp") == false ) return;

            // 1. Recuperar as informações do formulário
                String cpf = request.getParameter("cpf");
                String nome = request.getParameter("nome");
                
                // 2. Armazenar as info. no objeto cliente
                HttpSession session = request.getSession();
                Cliente c = (Cliente)session.getAttribute("cliente");

                ArrayList<String> erros = new ArrayList<String>();
                
                boolean res = true;
                if (c.setCpf(cpf) == false) {
                    res = false;
                    erros.add("CPF Invalido!");
                }
                if (c.setNome(nome) == false) {
                    res = false;
                    erros.add("Nome Inválido!");
                }
                
                if (res == true) {
                    // 3. Persistir cliente
                    ClienteDAO.adiciona(c);
                    // 4. Tranf. exec. para ClienteView.jsp
                    RequestDispatcher rd;
                    rd = request.getRequestDispatcher("/ClienteView.jsp");
                    rd.forward(request,response);
                    return;
                    }
                else {
                    request.setAttribute("erros",erros);
                    RequestDispatcher rd;
                    rd = request.getRequestDispatcher("/ClienteEdit.jsp");
                    rd.forward(request,response);
                    return;
                    }
        } finally {            
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
